
Foreman - Bug #6784

Parts of the menu are unsusable on mobile (tested with chrome on android)

07/25/2014 04:24 PM - Esa Varemo

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

On mobile devices the parts in the menu that are deeper than one level, e.g. 'More -> Provisioning -> ...' are unreacheable on atleast

the android version of chrome.

Tapping on 'More' expands the menu, trying to tap on anything under that will hide the menu. Only way to make the sub-menu visible

is holding the item long enough for the "right click menu" to appear. This is seen at the end of the following video.

Video of this happening on a Nexus 4: https://www.youtube.com/watch?v=LtDPu9d4DcU (also attached)

Browser is Chrome 36.0.1985.128 on Android 4.4.4

1. rpm -q foreman

foreman-1.3.0-1.el6.noarch

History

#1 - 07/28/2014 04:36 AM - Dominic Cleal

- Status changed from New to Feedback

Could you try a newer release please?  The "More" menu hasn't existed since Foreman 1.4 as the menu system was reworked, so usability may be

better now.

#2 - 07/28/2014 06:26 PM - Esa Varemo

- File Foreman on android 2.mp4 added

I installed a more recent version of foreman, "1.6.0-develop" according to the login screen. The issue persists. Again up to a certain "level" the menus

are usable: closing as tapped, but also going to the target location. Tapping on the "Any organization" submenu as shown in the video only makes the

menu disappear.

Also on the main page the widget panels go over the menu making it impossible to see the lower part of the menu.

Demo: https://www.youtube.com/watch?v=pt6hGSUutu0 (again also attached)

#3 - 07/29/2014 03:16 AM - Dominic Cleal

- Status changed from Feedback to New

Thanks for the feedback on the latest version.

#4 - 01/11/2021 08:19 AM - Tomer Brisker

- Status changed from New to Resolved

The whole menu structure has been rewritten since this issue was reported, closing.

Files
https://www.youtube.com/watch?v=LtDPu9d4DcU
https://www.youtube.com/watch?v=pt6hGSUutu0


Foreman on android.mp4 1.53 MB 07/25/2014 Esa Varemo

Foreman on android 2.mp4 2.82 MB 07/28/2014 Esa Varemo
